POST /admin-api/addresses/customers

Details

Steps

Step Description Expected result
In BO, Go to Advanced Parameters > Authorization Server Authorization Server Page is displayed correctly.
No records found in the table
Click on the button “Add new API access” New API access Page is displayed correctly
* Fill the form with following data
* Click on “Generate client secret & Save” button
* The message “The API access and Client secret has been generated sucessfully” is displayed
* The message “Client secret: " is displayed
Request with method POST the endpoint “https://[url of your shop]/admin-api/attributes/attributes” with relative data The HTTP code is 201.

The return value is in JSON

The return data has multiples keys :
* ‘addressId’
* ‘customerId’
* ‘addressAlias’
* ‘firstName’
* ’lastName’
* ‘address’
* ‘address2’
* ‘city’
* ‘postCode’
* ‘countryId
* ‘dni’
* ‘company’
* ‘vatNumber’
* ‘stateId’
* ‘homePhone’
* ‘mobilePhone’
* ‘other’

The return value data are consistent relative to sent data.
Go to Customers> Addresses page Addresses page is displayed correctly

page title = Addresses
Reset all filters and get the number of addresses filters are reset and the number of addresses > 0
Filter list by firstName The number of elements = 1
Go to edit address page Edit address page is displayed successfly

Page title = Editing address

 

Check data are consistant with JSON data
Request with the method DELETE the endpoint “[https://url of your shop https://[url] of your shop]/admin-api/addresses/{addressId}” to delete the created address
In BO, Go to Advanced Parameters > Authorization Server Authorization Server Page is displayed correctly.
1 record found in the table
On the first row, click on the button “Three points” The dropdown is displayed
Click on the Delete Button in the dropdown A modal appeared
Click on the Confirm Button in the modal The message “Successful deletion” is displayed
No records found in the table